Subject: Switching from Alpine to Debian due to Spring

From: Jeffrey Walton <[email-masked]>
Date: Thu, 22 Jan 2026 18:24:39 -0500

Hi Everyone,

I was in a chat session at $dayjob earlier today.  The managers at the
meeting told us the company was switching from Alpine to Debian
because the latest Alpine images are having problems with Spring.
(Spring Boot, Spring Framework, and friends).  I don't know the
details, like the specific problems the company encountered.  It could
have been unaddressed CVEs, crashes in Musl, crashes in Spring, etc.

The company uses a fair amount of offshore teams for app development.
I doubt they took the time to file bug reports against Alpine or
Spring to try to get things fixed.  But this is just a guess on my
part.

I don't like seeing Alpine go.  It is one of my favorite images
because it is small, it is fast, and it has a small attack surface.

Jeff